Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Problème de wifi sur Asus M415D et de clé wifi (Lu 1108 fois) sujet précédent - sujet suivant

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #15
J'ai fait la commande qui suit, puis j'ai redémarré, ça ne marche toujours pas. J'ai mis le fichier rpm sur le bureau

localhost:/home/is/Bureau # zypper install rtl8821ce-git20210529-lp152.1.1.src.rpm
Récupération des métadonnées du dépôt 'Non-OSS Repository' ...................................................................[erreur]
Le dépôt 'Non-OSS Repository' est invalide.
[repo-non-oss|http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
- [|] Erreur lors de la tentative de lecture depuis 'http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/'
- Erreur de téléchargement (curl) pour 'http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/content' :
Code d'erreur : Connection failed
Message d'erreur : Could not resolve host: download.opensuse.org


Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'Non-OSS Repository' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'Main Repository' ......................................................................[erreur]
Le dépôt 'Main Repository' est invalide.
[repo-oss|http://download.opensuse.org/distribution/leap/15.3/repo/oss/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
- [|] Erreur lors de la tentative de lecture depuis 'http://download.opensuse.org/distribution/leap/15.3/repo/oss/'
- Erreur de téléchargement (curl) pour 'http://download.opensuse.org/distribution/leap/15.3/repo/oss/content' :
Code d'erreur : Connection failed
Message d'erreur : Could not resolve host: download.opensuse.org
                                                                                                                                     
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'Main Repository' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'Main Update Repository' ...............................................................[erreur]
Le dépôt 'Main Update Repository' est invalide.
[repo-update|http://download.opensuse.org/update/leap/15.3/oss/] Aucune métadonnée valide trouvée à l'URL spécifiée                   
Historique :                                                                                                                          
- [|] Erreur lors de la tentative de lecture depuis 'http://download.opensuse.org/update/leap/15.3/oss/'                             
- Erreur de téléchargement (curl) pour 'http://download.opensuse.org/update/leap/15.3/oss/content' :                                 
Code d'erreur : Connection failed                                                                                                     
Message d'erreur : Could not resolve host: download.opensuse.org                                                                      
                                                                                                                                     
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'Main Update Repository' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'Update Repository (Non-Oss)' ..........................................................[erreur]
Le dépôt 'Update Repository (Non-Oss)' est invalide.
[repo-update-non-oss|http://download.opensuse.org/update/leap/15.3/non-oss/] Aucune métadonnée valide trouvée à l'URL spécifiée       
Historique :                                                                                                                          
- [|] Erreur lors de la tentative de lecture depuis 'http://download.opensuse.org/update/leap/15.3/non-oss/'                         
- Erreur de téléchargement (curl) pour 'http://download.opensuse.org/update/leap/15.3/non-oss/content' :                             
Code d'erreur : Connection failed                                                                                                     
Message d'erreur : Could not resolve host: download.opensuse.org                                                                      
                                                                                                                                     
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'Update Repository (Non-Oss)' ignoré en raison de l'erreur susmentionnée.
Plusieurs dépôts n'ont pas été rafraichis à cause d'une erreur.
Chargement des données du dépôt...
Lecture des paquets installés...
'_tmpRPMcache_:rtl8821ce=0:git20210529-lp152.1.1' n'a pas été trouvé parmi les noms de paquets. Essai parmi les capacités.
Aucun fournisseur de '_tmpRPMcache_:rtl8821ce=0:git20210529-lp152.1.1' trouvé.
Résolution des dépendances des paquets...
Rien à faire.
localhost:/home/is/Bureau #

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #16
Quelle commande utilises-tu pour passer root ?
Les erreurs sur le rafraîchissement des dépôts sont normales. Ce qui nous intéresse ici :
Lecture des paquets installés... 
[color=#585858][size=2][font="Segoe UI", -apple-system, BlinkMacSystemFont, Roboto, Oxygen, Ubuntu, Cantarell, "Droid Sans", "Helvetica Neue", "Trebuchet MS", Arial, sans-serif]'_tmpRPMcache_:rtl8821ce=0:git20210529-lp152.1.1' n'a pas été trouvé parmi les noms de paquets. Essai parmi les capacités. [/font][/size][/color]
[color=#585858][size=2][font="Segoe UI", -apple-system, BlinkMacSystemFont, Roboto, Oxygen, Ubuntu, Cantarell, "Droid Sans", "Helvetica Neue", "Trebuchet MS", Arial, sans-serif]Aucun fournisseur de '_tmpRPMcache_:rtl8821ce=0:git20210529-lp152.1.1' trouvé. [/font][/size][/color]
[color=#585858][size=2][font="Segoe UI", -apple-system, BlinkMacSystemFont, Roboto, Oxygen, Ubuntu, Cantarell, "Droid Sans", "Helvetica Neue", "Trebuchet MS", Arial, sans-serif]Résolution des dépendances des paquets... [/font][/size][/color]
Rien à faire. 
On vérifie le paquet téléchargé, que donne
ls -l /home/is/Bureau
Je n’avais pas fait attention dans mon précédent message mais tu ne sembles pas avoir téléchargé le paquet pour Leap 15.3 mais celui pour Leap 15.2
Il faut cliquer sur SUSE SLE et non openSUSE pour trouver le paquet rpm de la version 15.3

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #17
J'ai réinstallé tout le système, la connexion internet filaire fonctionne maintenant, mais toujours pas de wifi, aucun ssid wifi n'apparaît dans la boîte.
Quelle commande utilises-tu pour passer root ?
J'utilise su
On vérifie le paquet téléchargé, que donne
ls -l /home/is/Bureau

Cela donne:
 localhost:/home/is # ls -l /home/is/Bureau
total 4448
-rw-r--r-- 1 is users      50 24 mai   09:07 .directory
-rw-r--r-- 1 is users    2401 24 mai   09:07 Home.desktop
-rw-r--r-- 1 is users 4537886 16 juin  16:50 rtl8821ce-git20210529-lp152.1.1.src.rpm
-rw-r--r-- 1 is users    3832 17 juin  12:14 rtl8821ce.ymp
-rw-r--r-- 1 is users    3156 24 mai   09:07 trash.desktop
localhost:/home/is #

Je n’avais pas fait attention dans mon précédent message mais tu ne sembles pas avoir téléchargé le paquet pour Leap 15.3 mais celui pour Leap 15.2
Il faut cliquer sur SUSE SLE et non openSUSE pour trouver le paquet rpm de la version 15.3
Oui désolée, j'ai pris le bon maintenant, et j'ai fait zypper install rtl8821ce.ymp

Le retour donne ceci:

localhost:/home/is/Bureau # zypper install rtl8821ce.ymp
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP3:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP3:GA' est invalide.
[https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Aucune métadonnée valide
trouvée à l'URL spécifiée                                                                                                             
Historique :                                                                                                                          
- [https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Repository type can't
be determined.                                                                                                                        
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'SUSE:SLE-15-SP3:GA' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP1:Update' ...............................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP1:Update' est invalide.
[https-download.opensuse.org-47540b06|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/] Aucune méta
donnée valide trouvée à l'URL spécifiée                                                                                               
Historique :                                                                                                                          
- [https-download.opensuse.org-47540b06|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/] Reposito
ry type can't be determined.                                                                                                          
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'SUSE:SLE-15-SP1:Update' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP2:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP2:GA' est invalide.
[https-download.opensuse.org-651e35ad|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/] Aucune métadonnée valide
trouvée à l'URL spécifiée                                                                                                             
Historique :                                                                                                                          
- [https-download.opensuse.org-651e35ad|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/] Repository type can't
be determined.                                                                                                                        
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'SUSE:SLE-15-SP2:GA' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP1:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP1:GA' est invalide.
[https-download.opensuse.org-7cf16cb4|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/] Aucune métadonnée valide
trouvée à l'URL spécifiée                                                                                                             
Historique :                                                                                                                          
- [https-download.opensuse.org-7cf16cb4|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/] Repository type can't
be determined.                                                                                                                        
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'SUSE:SLE-15-SP1:GA' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15:Update' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15:Update' est invalide.
[https-download.opensuse.org-c75dc081|https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/] Aucune métadonn
ée valide trouvée à l'URL spécifiée                                                                                                   
Historique :                                                                                                                          
- [https-download.opensuse.org-c75dc081|https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/] Repository t
ype can't be determined.                                                                                                              
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'SUSE:SLE-15:Update' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP2:Update' ...............................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP2:Update' est invalide.
[https-download.opensuse.org-cc39fb1f|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Aucune méta
donnée valide trouvée à l'URL spécifiée                                                                                               
Historique :                                                                                                                          
- [https-download.opensuse.org-cc39fb1f|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Reposito
ry type can't be determined.                                                                                                          
                                                                                                                                     
Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Avertissement : Dépôt 'SUSE:SLE-15-SP2:Update' ignoré en raison de l'erreur susmentionnée.
Plusieurs dépôts n'ont pas été rafraichis à cause d'une erreur.
Chargement des données du dépôt...
Lecture des paquets installés...
'rtl8821ce.ymp' n'a pas été trouvé parmi les noms de paquets. Essai parmi les capacités.
Aucun fournisseur de 'rtl8821ce.ymp' trouvé.
Résolution des dépendances des paquets...
Rien à faire.

Merci encore

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #18
Peux tu nous donner avant toute chose,la liste de tes dépôts(entre balises code)  avec la cpmmande
zypper lr - U
.
Ta connexion filaire fonctionne?
Si oui,retourne sur le site software opensuse pour installer le paquet en one click install.

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #19
Non ce n'est toujours pas le bon fichier
Je vais essayer de mieux te guider, là je suis sur l'ordi ;)
Tu cliques sur ce lien , une fenêtre va s'ouvrir, tu choisis d'enregistrer le fichier sur ton Bureau (surtout tu ne l'ouvres pas avec discover, ce dernier ne fonctionne pas bien pour gérer les paquets)tu télécharges le fichier.
Une fois que tu as sur ton Bureau le fichier qui se nomme  : rtl8821ce-git20210529-lp153.1.1.src.rpm
Tu fais pour passer en root :
su -
en mettant un espace après su et le tiret
ensuite
zypper install /home/is/Bureau/rtl8821ce-git20210529-lp153.1.1.src.rpm
après les avertissements concernant les rafraichissements des dépôts, ça devrait installer le paquet.
Si ça n'installe pas le paquet, pareil tu nous fais un copié collé de ce que raconte le terminal.
si le paquet est installé ensuite tu quittes la session du terminal
exit
puis tu redémarres le PC
et là tu refais les commandes :
sudo lspci -nnkd ::280
et aussi la commande en utilisateur
ip a


Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #20
Peux tu nous donner avant toute chose,la liste de tes dépôts(entre balises code)  avec la cpmmande
zypper lr - U
.
Ta connexion filaire fonctionne?
Si oui,retourne sur le site software opensuse pour installer le paquet en one click install.
Ma connexion filaire fonctionne, mais ça ne marche pas, l'installation en one click install me dit que le fichier rtl8821ce ne peut pas être installé.

La commande donne:

zypper lr -U
Les priorités des dépôts sont sans effet. Tous les dépôts activés partagent la même priorité.

#  | Alias                                | Name                                                                                        | Enab-> | GPG Check        | Refresh    | URI
---+--------------------------------------+---------------------------------------------------------------------------------------------+--------+------------------+------------+-------------------------------------------------------------------------------------
10 | openSUSE-Leap-15.3-1                 | openSUSE-Leap-15.3-1                                                                        | Non    | ----             | ----       | hd:/?device=/dev/disk/by-id/usb-Kingston_DataTraveler_2.0_5B870F000110-0:0-part2
14 | repo-debug-non-oss                   | Debug Repository (Non-OSS)                                                                  | Non    | ----             | ----       | http://download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss/
13 | repo-debug                           | Debug Repository                                                                            | Non    | ----             | ----       | http://download.opensuse.org/debug/distribution/leap/15.3/repo/oss/
16 | repo-debug-update-non-oss            | Update Repository (Debug, Non-OSS)                                                          | Non    | ----             | ----       | http://download.opensuse.org/debug/update/leap/15.3/non-oss/
15 | repo-debug-update                    | Update Repository (Debug)                                                                   | Non    | ----             | ----       | http://download.opensuse.org/debug/update/leap/15.3/oss/
19 | repo-sle-debug-update                | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | Non    | ----             | ----       | http://download.opensuse.org/debug/update/leap/15.3/sle/
17 | repo-non-oss                         | Dépôt Non-OSS                                                                               | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/
18 | repo-oss                             | Dépôt principal                                                                             | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
21 | repo-source                          | Source Repository                                                                           | Non    | ----             | ----       | http://download.opensuse.org/source/distribution/leap/15.3/repo/oss/
12 | repo-backports-update                | Update repository of openSUSE Backports                                                     | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/backports/
11 | repo-backports-debug-update          | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | Non    | ----             | ----       | http://download.opensuse.org/update/leap/15.3/backports_debug/
23 | repo-update-non-oss                  | Dépôt de mises à jour (Non-OSS)                                                             | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/non-oss/
22 | repo-update                          | Dépôt principal de mise à jour                                                              | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/oss
20 | repo-sle-update                      | Update repository with updates from SUSE Linux Enterprise 15                                | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/sle/
 6 | https-download.opensuse.org-7cf16cb4 | SUSE:SLE-15-SP1:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/
 3 | https-download.opensuse.org-47540b06 | SUSE:SLE-15-SP1:Update                                                                      | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/
 4 | https-download.opensuse.org-651e35ad | SUSE:SLE-15-SP2:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/
 9 | https-download.opensuse.org-cc39fb1f | SUSE:SLE-15-SP2:Update                                                                      | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/
 2 | https-download.opensuse.org-1242f497 | SUSE:SLE-15-SP3:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/
 8 | https-download.opensuse.org-c75dc081 | SUSE:SLE-15:Update                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/
 1 | home_Sauerland                       | Sauerland's Home Project (openSUSE_Leap_15.3)                                               | Oui    | (r ) Oui         | Non        | https://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_15.3/
 5 | https-download.opensuse.org-67ae47d4 | home:Sauerland                                                                              | Oui    | (r ) Oui         | Oui        | https://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_15.3/
 7 | https-download.opensuse.org-8facad13 | openSUSE:Backports:SLE-15-SP3                                                               | Oui    | (r ) Oui         | Oui        | https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP3/standard/

  Merci

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #21
ensuite
zypper install /home/is/Bureau/rtl8821ce-git20210529-lp153.1.1.src.rpm
après les avertissements concernant les rafraichissements des dépôts, ça devrait installer le paquet.
Si ça n'installe pas le paquet, pareil tu nous fais un copié collé de ce que raconte le terminal.
si le paquet est installé ensuite tu quittes la session du terminal
exit
puis tu redémarres le PC
et là tu refais les commandes :
sudo lspci -nnkd ::280
et aussi la commande en utilisateur
ip a

Je ne crois pas que ça ait marché, mais j'essaie le reste de la démarche que tu proposes tout de même.
Le retour donne:

zypper install /home/is/Bureau/rtl8821ce-git20210529-lp153.1.1.src.rpm
Retrieving repository 'SUSE:SLE-15-SP3:GA' metadata ...........................................................................[error]
Repository 'SUSE:SLE-15-SP3:GA' is invalid.
[https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Valid metadata not found at specified URL                                                                                                                     
History:                                                                                                                             
 - [https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Repository type can't be determined.                                                                                                                       

Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'SUSE:SLE-15-SP3:GA' because of the above error.
Retrieving repository 'SUSE:SLE-15-SP1:Update' metadata .......................................................................[error]
Repository 'SUSE:SLE-15-SP1:Update' is invalid.
[https-download.opensuse.org-47540b06|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/] Valid metadata not found at specified URL
History:
 - [https-download.opensuse.org-47540b06|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/] Repository type can't be determined.

Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'SUSE:SLE-15-SP1:Update' because of the above error.
Retrieving repository 'SUSE:SLE-15-SP2:GA' metadata ...........................................................................[error]
Repository 'SUSE:SLE-15-SP2:GA' is invalid.
[https-download.opensuse.org-651e35ad|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/] Valid metadata not found at specified URL
History:
 - [https-download.opensuse.org-651e35ad|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/] Repository type can't be determined.

Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'SUSE:SLE-15-SP2:GA' because of the above error.
Retrieving repository 'SUSE:SLE-15-SP1:GA' metadata ...........................................................................[error]
Repository 'SUSE:SLE-15-SP1:GA' is invalid.
[https-download.opensuse.org-7cf16cb4|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/] Valid metadata not found at specified URL
History:
 - [https-download.opensuse.org-7cf16cb4|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/] Repository type can't be determined.

Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'SUSE:SLE-15-SP1:GA' because of the above error.
Retrieving repository 'SUSE:SLE-15:Update' metadata ...........................................................................[error]
Repository 'SUSE:SLE-15:Update' is invalid.
[https-download.opensuse.org-c75dc081|https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/] Valid metadata not found at specified URL
History:
 - [https-download.opensuse.org-c75dc081|https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/] Repository type can't be determined.

Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'SUSE:SLE-15:Update' because of the above error.
Retrieving repository 'SUSE:SLE-15-SP2:Update' metadata .......................................................................[error]
Repository 'SUSE:SLE-15-SP2:Update' is invalid.
[https-download.opensuse.org-cc39fb1f|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Valid metadata not found at specified URL
History:
 - [https-download.opensuse.org-cc39fb1f|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Repository type can't be determined.

Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Skipping repository 'SUSE:SLE-15-SP2:Update' because of the above error.
Some of the repositories have not been refreshed because of an error.
Loading repository data...
Reading installed packages...
'_tmpRPMcache_:rtl8821ce=0:git20210529-lp153.1.1' not found in package names. Trying capabilities.
No provider of '_tmpRPMcache_:rtl8821ce=0:git20210529-lp153.1.1' found.
Resolving package dependencies...
Nothing to do.


Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #22
donne nous le retour de la commande ip a avec ton cable ethernet branché

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #23
si le paquet est installé ensuite tu quittes la session du terminal
exit
puis tu redémarres le PC
et là tu refais les commandes :
sudo lspci -nnkd ::280
et aussi la commande en utilisateur
ip a

Voici les retours pour ces commandes:

is@localhost:~> sudo lspci -nnkd ::280
[sudo] Mot de passe de root :
01:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter [10ec:c821]
        Subsystem: AzureWave Device [1a3b:3040]
        Kernel modules: rtw88_8821ce, wl, 8821ce
is@localhost:~> ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP group default qlen 1000
    link/ether d4:6e:0e:1f:ad:53 brd ff:ff:ff:ff:ff:ff
    altname enp3s0f3u4
    inet 192.168.1.101/24 brd 192.168.1.255 scope global dynamic noprefixroute eth0
       valid_lft 86310sec preferred_lft 86310sec
    inet6 fe80::d66e:eff:fe1f:ad53/64 scope link noprefixroute
       valid_lft forever preferred_lft forever

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #24
bon il y a deux modules de noyau maintenant

Tu vas garder le clable ethernet branché pour l'instant et tu nous donnes le retour de
sudo zypper ref

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #25
Voici:
is@localhost:~> sudo zypper ref
[sudo] Mot de passe de root :
Le dépôt 'Sauerland's Home Project (openSUSE_Leap_15.3)' est à jour.                                                                 
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP3:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP3:GA' est invalide.
[https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15-SP3:GA' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP1:Update' ...............................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP1:Update' est invalide.
[https-download.opensuse.org-47540b06|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-47540b06|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15-SP1:Update' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP2:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP2:GA' est invalide.
[https-download.opensuse.org-651e35ad|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-651e35ad|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15-SP2:GA' ignoré en raison de l'erreur susmentionnée.
Le dépôt 'home:Sauerland' est à jour.                                                                                                
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP1:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP1:GA' est invalide.
[https-download.opensuse.org-7cf16cb4|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-7cf16cb4|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15-SP1:GA' ignoré en raison de l'erreur susmentionnée.
Le dépôt 'openSUSE:Backports:SLE-15-SP3' est à jour.                                                                                 
Récupération des métadonnées du dépôt 'SUSE:SLE-15:Update' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15:Update' est invalide.
[https-download.opensuse.org-c75dc081|https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-c75dc081|https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15:Update' ignoré en raison de l'erreur susmentionnée.
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP2:Update' ...............................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP2:Update' est invalide.
[https-download.opensuse.org-cc39fb1f|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-cc39fb1f|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15-SP2:Update' ignoré en raison de l'erreur susmentionnée.
Le dépôt 'Update repository of openSUSE Backports' est à jour.                                                                       
Le dépôt 'Dépôt Non-OSS' est à jour.                                                                                                 
Le dépôt 'Dépôt principal' est à jour.                                                                                               
Le dépôt 'Update repository with updates from SUSE Linux Enterprise 15' est à jour.                                                  
Le dépôt 'Dépôt principal de mise à jour' est à jour.                                                                                
Le dépôt 'Dépôt de mises à jour (Non-OSS)' est à jour.                                                                               
Plusieurs dépôts n'ont pas été rafraichis à cause d'une erreur.

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #26
Ok bon on va commencer par nettoyer les dépôts qui ont été ajoutés par erreur
Ce sont ceux là :
6 | https-download.opensuse.org-7cf16cb4 | SUSE:SLE-15-SP1:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/GA/pool/
 3 | https-download.opensuse.org-47540b06 | SUSE:SLE-15-SP1:Update                                                                      | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP1:/Update/pool-leap-15.3/
 4 | https-download.opensuse.org-651e35ad | SUSE:SLE-15-SP2:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/GA/pool/
 9 | https-download.opensuse.org-cc39fb1f | SUSE:SLE-15-SP2:Update                                                                      | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP2:/Update/pool-leap-15.3/
 2 | https-download.opensuse.org-1242f497 | SUSE:SLE-15-SP3:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/
 8 | https-download.opensuse.org-c75dc081 | SUSE:SLE-15:Update                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15:/Update/pool-leap-15.3/
 1 | home_Sauerland                       | Sauerland's Home Project (openSUSE_Leap_15.3)                                               | Oui    | (r ) Oui         | Non        | https://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_15.3/
 5 | https-download.opensuse.org-67ae47d4 | home:Sauerland                                                                              | Oui    | (r ) Oui         | Oui        | https://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_15.3/
Tu fermes ton terminal
tu ouvres YaST en passant par le lanceur d'application puis tu cliques sur dépôts de logiciels
dans la liste des dépôts, tu supprimes ceux que j'ai listé au-dessus. Ne te trompe pas, prends le temps de vérifier que tu supprimes les bons en regardant bien le nom et l'URI
ensuite tu cliques sur Ok pour valider et supprimer les dépôts
tu fermes YaST
tu réouvres un terminal et tu fais
sudo zypper ref
puis
zypper lr -U



Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #27
ah non, j'avais bon, c'est bien un dépôt à supprimer :
 il faut aussi supprimer le numéro 2 : SUSE:SLE-15-SP3:GA
Ces dépôts SUSE à supprimer proviennent sans doute des tentatives d'installation one-click mais du mauvais fichier ;)

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #28

J'ai supprimé les dépôts en question. Le retour des commandes est:

is@localhost:~> sudo zypper ref
[sudo] Mot de passe de root :
Récupération des métadonnées du dépôt 'SUSE:SLE-15-SP3:GA' ...................................................................[erreur]
Le dépôt 'SUSE:SLE-15-SP3:GA' est invalide.
[https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Aucune métadonnée valide trouvée à l'URL spécifiée
Historique :
 - [https-download.opensuse.org-1242f497|https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/] Repository type can't be determined.

Veuillez vérifier que l'URI définie pour ce dépôt pointe bien sur un dépôt valide.
Dépôt 'SUSE:SLE-15-SP3:GA' ignoré en raison de l'erreur susmentionnée.
Le dépôt 'openSUSE:Backports:SLE-15-SP3' est à jour.                                                                                 
Le dépôt 'Update repository of openSUSE Backports' est à jour.                                                                       
Le dépôt 'Dépôt Non-OSS' est à jour.                                                                                                 
Le dépôt 'Dépôt principal' est à jour.                                                                                               
Le dépôt 'Update repository with updates from SUSE Linux Enterprise 15' est à jour.                                                  
Le dépôt 'Dépôt principal de mise à jour' est à jour.                                                                                
Le dépôt 'Dépôt de mises à jour (Non-OSS)' est à jour.                                                                               
Plusieurs dépôts n'ont pas été rafraichis à cause d'une erreur.
is@localhost:~> zypper lr -U
Les priorités des dépôts sont sans effet. Tous les dépôts activés partagent la même priorité.

#  | Alias                                | Name                                                                                        | Enab-> | GPG Check        | Refresh    | URI
---+--------------------------------------+---------------------------------------------------------------------------------------------+--------+------------------+------------+-------------------------------------------------------------------------------------
 3 | openSUSE-Leap-15.3-1                 | openSUSE-Leap-15.3-1                                                                        | Non    | ----             | ----       | hd:/?device=/dev/disk/by-id/usb-Kingston_DataTraveler_2.0_5B870F000110-0:0-part2
 7 | repo-debug-non-oss                   | Debug Repository (Non-OSS)                                                                  | Non    | ----             | ----       | http://download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss/
 6 | repo-debug                           | Debug Repository                                                                            | Non    | ----             | ----       | http://download.opensuse.org/debug/distribution/leap/15.3/repo/oss/
 9 | repo-debug-update-non-oss            | Update Repository (Debug, Non-OSS)                                                          | Non    | ----             | ----       | http://download.opensuse.org/debug/update/leap/15.3/non-oss/
 8 | repo-debug-update                    | Update Repository (Debug)                                                                   | Non    | ----             | ----       | http://download.opensuse.org/debug/update/leap/15.3/oss/
12 | repo-sle-debug-update                | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | Non    | ----             | ----       | http://download.opensuse.org/debug/update/leap/15.3/sle/
10 | repo-non-oss                         | Dépôt Non-OSS                                                                               | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/
11 | repo-oss                             | Dépôt principal                                                                             | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
14 | repo-source                          | Source Repository                                                                           | Non    | ----             | ----       | http://download.opensuse.org/source/distribution/leap/15.3/repo/oss/
 5 | repo-backports-update                | Update repository of openSUSE Backports                                                     | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/backports/
 4 | repo-backports-debug-update          | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | Non    | ----             | ----       | http://download.opensuse.org/update/leap/15.3/backports_debug/
16 | repo-update-non-oss                  | Dépôt de mises à jour (Non-OSS)                                                             | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/non-oss/
15 | repo-update                          | Dépôt principal de mise à jour                                                              | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/oss
13 | repo-sle-update                      | Update repository with updates from SUSE Linux Enterprise 15                                | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/leap/15.3/sle/
 1 | https-download.opensuse.org-1242f497 | SUSE:SLE-15-SP3:GA                                                                          | Oui    | ( p) Oui         | Oui        | https://download.opensuse.org/repositories/SUSE:/SLE-15-SP3:/GA/pool/
 2 | https-download.opensuse.org-8facad13 | openSUSE:Backports:SLE-15-SP3                                                               | Oui    | (r ) Oui         | Oui        | https://download.opensuse.org/repositories/openSUSE:/Backports:/SLE-15-SP3/standard/
is@localhost:~>

Re : Problème de wifi sur Asus M415D et de clé wifi

Répondre #29
ah non, j'avais bon, c'est bien un dépôt à supprimer :
 il faut aussi supprimer le numéro 2 : SUSE:SLE-15-SP3:GA
Ces dépôts SUSE à supprimer proviennent sans doute des tentatives d'installation one-click mais du mauvais fichier ;)
Je viens donc de le supprimer lui aussi.